/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.stocktaking;

import com.arrebol.taxiservicios.model.catalog.Location;
import com.arrebol.taxiservicios.model.core.Person;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.CheckStatus;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Oscar
 */
public class CheckStocktaking implements Serializable{
    
    private String id;
    private String description;
    private CheckStatus checkStatus;
    private Boolean active;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    private Location location;
    private Person ejecutor;
    private Person revisor;

    public CheckStocktaking(String id) {
        this.id = id;
    }

    public CheckStocktaking() {
    }

    public CheckStocktaking(String id, String description, CheckStatus checkStatus, Boolean active, User createdBy, Date createdOn, User lastUpdatedBy, Date lastUpdatedOn, Location location) {
        this.id = id;
        this.description = description;
        this.checkStatus = checkStatus;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.lastUpdatedBy = lastUpdatedBy;
        this.lastUpdatedOn = lastUpdatedOn;
        this.location = location;
    }
    
    public CheckStocktaking(String id, String description, CheckStatus checkStatus, Boolean active, Date createdOn, User createdBy, Location location) {
        this.id = id;
        this.description = description;
        this.checkStatus = checkStatus;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.location = location;
    }
    
    public CheckStocktaking(String id, String description, CheckStatus checkStatus, Boolean active, Date createdOn, User createdBy, Location location, Person revisor, Person ejecutor) {
        this.id = id;
        this.description = description;
        this.checkStatus = checkStatus;
        this.active = active;
        this.createdBy = createdBy;
        this.createdOn = createdOn;
        this.location = location;
        this.revisor = revisor;
        this.ejecutor = ejecutor;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public CheckStatus getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(CheckStatus checkStatus) {
        this.checkStatus = checkStatus;
    }

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public Person getEjecutor() {
        return ejecutor;
    }

    public void setEjecutor(Person ejecutor) {
        this.ejecutor = ejecutor;
    }

    public Person getRevisor() {
        return revisor;
    }

    public void setRevisor(Person revisor) {
        this.revisor = revisor;
    }

    
}
